CREATE TABLE IF NOT EXISTS `%PREFIX%elements` (
  `id` int unsigned NOT NULL auto_increment,
  `record_type_id` int unsigned NOT NULL,
  `data_type_id` int unsigned NOT NULL,
  `element_set_id` int unsigned NOT NULL,
  `order` int unsigned default NULL,
  `name` varchar(255) collate utf8_unicode_ci NOT NULL,
  `description` text collate utf8_unicode_ci,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `name_element_set_id` (`element_set_id`,`name`),
  UNIQUE KEY `order_element_set_id` (`element_set_id`,`order`),
  KEY `record_type_id` (`record_type_id`),
  KEY `data_type_id` (`data_type_id`),
  KEY `element_set_id` (`element_set_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

INSERT INTO `%PREFIX%elements` VALUES 
(1, 2, 1, 3, NULL, 'Text', 'Any textual data included in the document.'),
(2, 2, 2, 3, NULL, 'Interviewer', 'The person(s) performing the interview.'),
(3, 2, 2, 3, NULL, 'Interviewee', 'The person(s) being interviewed.'),
(4, 2, 2, 3, NULL, 'Location', 'The location of the interview.'),
(5, 2, 1, 3, NULL, 'Transcription', 'Any written text transcribed from a sound.'),
(6, 2, 2, 3, NULL, 'Local URL', 'The URL of the local directory containing all assets of the website.'),
(7, 2, 2, 3, NULL, 'Original Format', 'If the image is of an object, state the type of object, such as painting, sculpture, paper, photo, and additional data'),
(10, 2, 2, 3, NULL, 'Physical Dimensions', 'The actual physical size of the original image.'),
(11, 2, 2, 3, NULL, 'Duration', 'Length of time involved (seconds, minutes, hours, days, class periods, etc.)'),
(12, 2, 2, 3, NULL, 'Compression', 'Type/rate of compression for moving image file (i.e. MPEG-4)'),
(13, 2, 2, 3, NULL, 'Producer', 'Name (or names) of the person who produced the video.'),
(14, 2, 2, 3, NULL, 'Director', 'Name (or names) of the person who produced the video.'),
(15, 2, 2, 3, NULL, 'Bit Rate/Frequency', 'Rate at which bits are transferred (i.e. 96 kbit/s would be FM quality audio)'),
(16, 2, 2, 3, NULL, 'Time Summary', 'A summary of an interview given for different time stamps throughout the interview'),
(17, 2, 1, 3, NULL, 'Email Body', 'The main body of the email, including all replied and forwarded text and headers.'),
(18, 2, 2, 3, NULL, 'Subject Line', 'The content of the subject line of the email.'),
(19, 2, 2, 3, NULL, 'From', 'The name and email address of the person sending the email.'),
(20, 2, 2, 3, NULL, 'To', 'The name(s) and email address(es) of the person to whom the email was sent.'),
(21, 2, 2, 3, NULL, 'CC', 'The name(s) and email address(es) of the person to whom the email was carbon copied.'),
(22, 2, 2, 3, NULL, 'BCC', 'The name(s) and email address(es) of the person to whom the email was blind carbon copied.'),
(23, 2, 2, 3, NULL, 'Number of Attachments', 'The number of attachments to the email.'),
(24, 2, 1, 3, NULL, 'Standards', ''),
(25, 2, 1, 3, NULL, 'Objectives', ''),
(26, 2, 1, 3, NULL, 'Materials', ''),
(27, 2, 1, 3, NULL, 'Lesson Plan Text', ''),
(28, 2, 2, 3, NULL, 'URL', ''),
(29, 2, 2, 3, NULL, 'Event Type', ''),
(30, 2, 1, 3, NULL, 'Participants', 'Names of individuals or groups participating in the event.'),
(31, 2, 9, 3, NULL, 'Birth Date', ''),
(32, 2, 2, 3, NULL, 'Birthplace', ''),
(33, 2, 9, 3, NULL, 'Death Date', ''),
(34, 2, 2, 3, NULL, 'Occupation', ''),
(35, 2, 1, 3, NULL, 'Biographical Text', ''),
(36, 2, 1, 3, NULL, 'Bibliography', ''),
(37, 1, 2, 1, 8, 'Contributor', 'An entity responsible for making contributions to the resource. Examples of a Contributor include a person, an organization, or a service. Typically, the name of a Contributor should be used to indicate the entity.'),
(38, 1, 2, 1, 15, 'Coverage', 'The spatial or temporal topic of the resource, the spatial applicability of the resource, or the jurisdiction under which the resource is relevant. Spatial topic and spatial applicability may be a named place or a location specified by its geographic coordinates. Temporal topic may be a named period, date, or date range. A jurisdiction may be a named administrative entity or a geographic place to which the resource applies. Recommended best practice is to use a controlled vocabulary such as the Thesaurus of Geographic Names [TGN]. Where appropriate, named places or time periods can be used in preference to numeric identifiers such as sets of coordinates or date ranges.'),
(39, 1, 2, 1, 4, 'Creator', 'An entity primarily responsible for making the resource. Examples of a Creator include a person, an organization, or a service. Typically, the name of a Creator should be used to indicate the entity.'),
(40, 1, 2, 1, 7, 'Date', 'A point or period of time associated with an event in the lifecycle of the resource. Date may be used to express temporal information at any level of granularity. Recommended best practice is to use an encoding scheme, such as the W3CDTF profile of ISO 8601 [W3CDTF].'),
(41, 1, 1, 1, 3, 'Description', 'An account of the resource. Description may include but is not limited to: an abstract, a table of contents, a graphical representation, or a free-text account of the resource.'),
(42, 1, 2, 1, 11, 'Format', 'The file format, physical medium, or dimensions of the resource. Examples of dimensions include size and duration. Recommended best practice is to use a controlled vocabulary such as the list of Internet Media Types [MIME].'),
(43, 1, 2, 1, 14, 'Identifier', 'An unambiguous reference to the resource within a given context. Recommended best practice is to identify the resource by means of a string conforming to a formal identification system.'),
(44, 1, 2, 1, 12, 'Language', 'A language of the resource. Recommended best practice is to use a controlled vocabulary such as RFC 4646 [RFC4646].'),
(45, 1, 2, 1, 6, 'Publisher', 'An entity responsible for making the resource available. Examples of a Publisher include a person, an organization, or a service. Typically, the name of a Publisher should be used to indicate the entity.'),
(46, 1, 2, 1, 10, 'Relation', 'A related resource. Recommended best practice is to identify the related resource by means of a string conforming to a formal identification system.'),
(47, 1, 2, 1, 9, 'Rights', 'Information about rights held in and over the resource. Typically, rights information includes a statement about various property rights associated with the resource, including intellectual property rights.'),
(48, 1, 2, 1, 5, 'Source', 'A related resource from which the described resource is derived. The described resource may be derived from the related resource in whole or in part. Recommended best practice is to identify the related resource by means of a string conforming to a formal identification system.'),
(49, 1, 2, 1, 2, 'Subject', 'The topic of the resource. Typically, the subject will be represented using keywords, key phrases, or classification codes. Recommended best practice is to use a controlled vocabulary. To describe the spatial or temporal topic of the resource, use the Coverage element.'),
(50, 1, 2, 1, 1, 'Title', 'A name given to the resource. Typically, a Title will be a name by which the resource is formally known.'),
(51, 1, 2, 1, 13, 'Type', 'The nature or genre of the resource. Recommended best practice is to use a controlled vocabulary such as the DCMI Type Vocabulary [DCMITYPE]. To describe the file format, physical medium, or dimensions of the resource, use the Format element.'),
(58, 3, 1, 4, 1, 'Additional Creator', ''),
(59, 3, 1, 4, 2, 'Transcriber', ''),
(60, 3, 1, 4, 3, 'Producer', ''),
(61, 3, 1, 4, 4, 'Render Device', ''),
(62, 3, 1, 4, 5, 'Render Details', ''),
(63, 3, 10, 4, 6, 'Capture Date', ''),
(64, 3, 1, 4, 7, 'Capture Device', ''),
(65, 3, 1, 4, 8, 'Capture Details', ''),
(66, 3, 1, 4, 9, 'Change History', ''),
(67, 3, 1, 4, 10, 'Watermark', ''),
(69, 3, 1, 4, 12, 'Encryption', ''),
(70, 3, 1, 4, 13, 'Compression', ''),
(71, 3, 1, 4, 14, 'Post Processing', ''),
(72, 3, 4, 5, 1, 'Width', ''),
(73, 3, 4, 5, 2, 'Height', ''),
(74, 3, 4, 5, 3, 'Bit Depth', ''),
(75, 3, 4, 5, 4, 'Channels', ''),
(76, 3, 1, 5, 5, 'Exif String', ''),
(77, 3, 1, 5, 6, 'Exif Array', ''),
(78, 3, 1, 5, 7, 'IPTC String', ''),
(79, 3, 1, 5, 8, 'IPTC Array', ''),
(80, 3, 4, 6, 1, 'Bitrate', ''),
(81, 3, 4, 6, 2, 'Duration', ''),
(82, 3, 4, 6, 3, 'Sample Rate', ''),
(83, 3, 1, 6, 4, 'Codec', ''),
(84, 3, 4, 6, 5, 'Width', ''),
(85, 3, 4, 6, 6, 'Height', '');
